%define name	libnjb
%define version	2.2.6

%define major		5
%define libname 	%mklibname njb %{major}
%define develname	%mklibname njb -d

Name: 	 	%{name}
Summary: 	Lightweight C library which eases the writing of UNIX daemons
Version: 	%{version}
Release: 	%mkrel 3

Source0:	http://prdownloads.sourceforge.net/libnjb/%{name}-%{version}.tar.bz2
Source1:	http://banshee-project.org/files/misc/20-njb.fdi.bz2
URL:		http://sourceforge.net/projects/libnjb/
License:	BSD
Group:		System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  libusb-devel
BuildRequires:  doxygen

%description
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Provides:	daemon
Obsoletes:	daemon = %{version}-%{release}

%description -n %{libname}
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.
This libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{mklibname njb 5 -d}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall pkgdocdir=`pwd`/installed-docs
#gw TODO fix device ownership
install -D -m 644 nomad.rules %buildroot%_sysconfdir/udev/rules.d/nomad.rules
mkdir -p %buildroot%_datadir/hal/information/20thirdparty/
# gw TODO fix resmgr config in hal according to
# http://banshee-project.org/Releases/0.10.10
bzcat %SOURCE1 > %buildroot%_datadir/hal/information/20thirdparty/20-njb.fdi

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog FAQ HACKING  README LICENSE
%{_bindir}/*
%config(noreplace) %_sysconfdir/udev/rules.d/nomad.rules
%_datadir/hal/information/20thirdparty/20-njb.fdi

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libnjb.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc installed-docs/*
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}.a
%attr(644,root,root) %{_libdir}/%{name}.la
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.6-3mdv2009.0
+ Revision: 222938
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-2mdv2008.1
+ Revision: 178978
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.2.6-1mdv2008.0
+ Revision: 81157
- New version

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.com> 2.2.5-5mdv2008.0
+ Revision: 55730
- rebuild for 2008
- new devel policy
- drop all the hotplug stuff (hotplug is not used any more)


* Tue Sep 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.5-5mdv2007.0
- rebuild

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-4mdv2007.0
- enable hotplugging

* Wed Aug 23 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.5-3mdv2007.0
- rebuild

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-2mdk
- fix license
- fix doc listing
- fix buildrequires

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdk
- spec fixes
- source URL
- new version

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdk
- New release 2.2.4

* Fri Oct 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.2-2mdk
- Fix BuildRequires

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2-1mdk
- 2.2
- bump major

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.2-1mdk
- 2.1.2
- new major

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2-1mdk
- 1.2

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- initial mdk release

